.t-menu-burger {
	position: relative;
	display: inline-flex;
	flex-direction: column;
	align-items: center;
	flex-shrink: 0;
	padding: 0;
	border: none;
	background-color: transparent;
	outline: none;
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg);
	transition: transform 0.5s ease-in-out;
	cursor: pointer;
	z-index: 999;
}

.t-menu-burger__icon {
	position: relative;
	width: 28px;
	height: 20px;
}

/*---menu burger lines---*/
.t-menu-burger__icon span {
	display: block;
	position: absolute;
	width: 100%;
	opacity: 1;
	left: 0;
	-webkit-transform: rotate(0deg);
	transform: rotate(0deg);
	transition: 0.25s ease-in-out;
	height: 3px;
	background-color: #000;
}

.t-menu-burger__icon span:nth-child(1) {
	top: 0px;
}

.t-menu-burger__icon span:nth-child(2),
.t-menu-burger__icon span:nth-child(3) {
	top: 8px;
}

.t-menu-burger__icon span:nth-child(4) {
	top: 16px;
}

.t-menu-burger__text {
	margin-top: 6px;
	color: #000;
	font-family: Roboto, Arial, sans-serif;
	font-size: 14px;
	font-weight: 400;
}

.t-menu-burger__icon_small + .t-menu-burger__text {
	margin-top: 7px;
	font-size: 13px;
}

.t-menu-burger__icon_big + .t-menu-burger__text {
	margin-top: 1px;
	font-size: 16px;
	font-weight: 500;
}

/*menu burger big*/
.t-menu-burger__icon_big {
	width: 42px;
	height: 32px;
}

.t-menu-burger__icon_big span {
	height: 5px;
}

.t-menu-burger__icon_big span:nth-child(2),
.t-menu-burger__icon_big span:nth-child(3) {
	top: 13px;
}

.t-menu-burger__icon_big span:nth-child(4) {
	top: 26px;
}

/*menu burger small*/
.t-menu-burger__icon_small {
	width: 22px;
	height: 14px;
}
.t-menu-burger__icon_small span {
	height: 2px;
}

.t-menu-burger__icon_small span:nth-child(2),
.t-menu-burger__icon_small span:nth-child(3) {
	top: 6px;
}

.t-menu-burger__icon_small span:nth-child(4) {
	top: 12px;
}

/*menu burger opened*/
.t-menu-burger_open .t-menu-burger__icon span:nth-child(1) {
	top: 8px;
	width: 0%;
	left: 50%;
}

.t-menu-burger_open .t-menu-burger__icon span:nth-child(2) {
	-webkit-transform: rotate(45deg);
	transform: rotate(45deg);
}

.t-menu-burger_open .t-menu-burger__icon span:nth-child(3) {
	-webkit-transform: rotate(-45deg);
	transform: rotate(-45deg);
}

.t-menu-burger_open .t-menu-burger__icon span:nth-child(4) {
	top: 8px;
	width: 0%;
	left: 50%;
}

.t-menu-burger_open .t-menu-burger__icon_big span:nth-child(1) {
	top: 6px;
}

.t-menu-burger_open .t-menu-burger__icon_big span:nth-child(4) {
	top: 18px;
}

.t-menu-burger_open .t-menu-burger__icon_small span:nth-child(1),
.t-menu-burger_open .t-menu-burger__icon_small span:nth-child(4) {
	top: 6px;
}

/*---menu burger first style---*/
@media (hover), (min-width: 0\0) {
	.t-menu-burger__icon_first:hover span:nth-child(1) {
		transform: translateY(1px);
	}

	.t-menu-burger__icon_first:hover span:nth-child(4) {
		transform: translateY(-1px);
	}

	.t-menu-burger__icon_first.t-menu-burger__icon_big:hover span:nth-child(1) {
		transform: translateY(3px);
	}

	.t-menu-burger__icon_first.t-menu-burger__icon_big:hover span:nth-child(4) {
		transform: translateY(-3px);
	}
}

/*---menu burger second style---*/
.t-menu-burger__icon_second span:nth-child(2),
.t-menu-burger__icon_second span:nth-child(3) {
	width: 80%;
	left: 20%;
	right: 0;
}

@media (hover), (min-width: 0\0) {
	.t-menu-burger_hover .t-menu-burger__icon_second span:nth-child(2),
	.t-menu-burger_hover .t-menu-burger__icon_second span:nth-child(3) {
		animation: t-menu-burger-anim 0.3s ease-out normal forwards;
	}

	.t-menu-burger_unhover .t-menu-burger__icon_second span:nth-child(2),
	.t-menu-burger_unhover .t-menu-burger__icon_second span:nth-child(3) {
		animation: t-menu-burger-anim2 0.3s ease-out normal forwards;
	}
}

.t-menu-burger_open .t-menu-burger__icon_second span:nth-child(2),
.t-menu-burger_open .t-menu-burger__icon_second span:nth-child(3) {
	left: 0;
	right: 0;
	width: 100% !important;
}

/*---menu burger third style---*/
.t-menu-burger__icon_third span:nth-child(4) {
	width: 70%;
	left: unset;
	right: 0;
}

@media (hover), (min-width: 0\0) {
	.t-menu-burger:not(.t-menu-burger_open):hover .t-menu-burger__icon_third span:nth-child(4) {
		width: 100%;
	}
}

.t-menu-burger_open .t-menu-burger__icon_third span:nth-child(4) {
	width: 0 !important;
	right: 50%;
}

/*---menu burger fourth style---*/
.t-menu-burger__icon_fourth {
	height: 12px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_small {
	height: 8px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_big {
	height: 18px;
}

.t-menu-burger__icon_fourth span:nth-child(2),
.t-menu-burger__icon_fourth span:nth-child(3) {
	top: 4px;
	opacity: 0;
}

.t-menu-burger__icon_fourth span:nth-child(4) {
	top: 8px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_small span:nth-child(2),
.t-menu-burger__icon_fourth.t-menu-burger__icon_small span:nth-child(3) {
	top: 3px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_small span:nth-child(4) {
	top: 6px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_small span:nth-child(2),
.t-menu-burger__icon_fourth.t-menu-burger__icon_small span:nth-child(3) {
	top: 3px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_small span:nth-child(4) {
	top: 6px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_big span:nth-child(2),
.t-menu-burger__icon_fourth.t-menu-burger__icon_big span:nth-child(3) {
	top: 6px;
}

.t-menu-burger__icon_fourth.t-menu-burger__icon_big span:nth-child(4) {
	top: 12px;
}

@media (hover), (min-width: 0\0) {
	.t-menu-burger:not(.t-menu-burger_open):hover .t-menu-burger__icon_fourth span:nth-child(1) {
		transform: translateY(1px);
	}

	.t-menu-burger:not(.t-menu-burger_open):hover .t-menu-burger__icon_fourth span:nth-child(4) {
		transform: translateY(-1px);
	}

	.t-menu-burger:not(.t-menu-burger_open):hover
		.t-menu-burger__icon_fourth.t-menu-burger__icon_big
		span:nth-child(1) {
		transform: translateY(3px);
	}

	.t-menu-burger:not(.t-menu-burger_open):hover
		.t-menu-burger__icon_fourth.t-menu-burger__icon_big
		span:nth-child(4) {
		transform: translateY(-3px);
	}
}

.t-menu-burger_open .t-menu-burger__icon_fourth span:nth-child(1),
.t-menu-burger_open .t-menu-burger__icon_fourth span:nth-child(4) {
	top: 4px;
}

.t-menu-burger_open .t-menu-burger__icon_fourth span:nth-child(2),
.t-menu-burger_open .t-menu-burger__icon_fourth span:nth-child(3) {
	opacity: 1;
}

/*---menu burger animations---*/
@keyframes t-menu-burger-anim {
	0% {
		width: 80%;
		left: 20%;
		right: 0;
	}

	50% {
		width: 100%;
		left: 0;
		right: 0;
	}

	100% {
		width: 80%;
		left: 0;
		right: 20%;
	}
}
@keyframes t-menu-burger-anim2 {
	0% {
		width: 80%;
		left: 0;
	}

	50% {
		width: 100%;
		right: 0;
		left: 0;
	}

	100% {
		width: 80%;
		left: 20%;
		right: 0;
	}
}


/* region Burger Icon */

/* Стили для меню с фоном или бордером */

/* Medium Size */
.t-menu-burger.t-menu-burger_wrap {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 40px;
	height: 40px;
}

.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon {
	width: 22px;
	height: 17px;
}

.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon span {
	height: 3px;
}

.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon span:nth-child(2),
.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon span:nth-child(3) {
	top: 7px;
}

.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon span:nth-child(4) {
	top: 14px;
}

.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon_fourth {
	height: 10px;
}

.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon_fourth span:nth-child(2),
.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon_fourth span:nth-child(3) {
	top: 4px;
}

.t-menu-burger.t-menu-burger_wrap .t-menu-burger__icon_fourth span:nth-child(4) {
	top: 7px;
}

/* Big Size */
.t-menu-burger.t-menu-burger_wrap_big {
	width: 58px;
	height: 58px;
}

.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_big {
	width: 33px;
	height: 24px;
}

.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_big span {
	height: 4px;
}

.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_big span:nth-child(2),
.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_big span:nth-child(3) {
	top: 10px;
}

.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_big span:nth-child(4) {
	top: 20px;
}

.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_fourth {
	height: 14px;
}

.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_fourth span:nth-child(2),
.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_fourth span:nth-child(3) {
	top: 4px;
}

.t-menu-burger.t-menu-burger_wrap_big .t-menu-burger__icon_fourth span:nth-child(4) {
	top: 10px;
}

/* Small Size */
.t-menu-burger.t-menu-burger_wrap_small {
	width: 32px;
	height: 32px;
}

.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_small {
	width: 16px;
	height: 12px;
}

.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_small span {
	height: 2px;
}

.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_small span:nth-child(2),
.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_small span:nth-child(3) {
	top: 5px;
}

.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_small span:nth-child(4) {
	top: 10px;
}

.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_fourth {
	height: 7px;
}

.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_fourth span:nth-child(2),
.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_fourth span:nth-child(3) {
	top: 3px;
}

.t-menu-burger.t-menu-burger_wrap_small .t-menu-burger__icon_fourth span:nth-child(4) {
	top: 5px;
}

/* #endregion Burger Icon */
